# ThemeChanger

Theme Changers allow you to switch between different themes

```tsx live=true
import { FC } from 'React';
import ThemeProvider from '@ucam/design-system/theme/ThemeProvider';
import ThemeChanger from '@ucam/design-system/theme/ThemeChanger';
import useTheme from '@ucam/design-system/theme/useTheme';
import { P } from '@ucam/design-system/Typography';

const ThemeNameReader: FC = () => {
  const { renderedThemeName } = useTheme();
  return <P>The theme inside this ThemeProvider is: {renderedThemeName}</P>;
};

render(
  <ThemeProvider disableLocalStorage scope="local">
    <ThemeChanger initialValue="Dark" />
    <ThemeNameReader />
  </ThemeProvider>
);
```

[//]: # 'property-table-DO-NOT-EDIT'

### Component Properties

| Prop name    | Type   | Default | Description                                                           |
| ------------ | ------ | ------- | --------------------------------------------------------------------- |
| initialValue | string |         | If set, then the ThemeChanger will set a theme the first time it runs |

[//]: # 'property-table-DO-NOT-EDIT'
